giiPanic(3)

NAME
giiPanic : Exit LibGII programs for fatal errors

SYNOPSIS
#include <ggi/gii.h>
int giiPanic(const char * format, ...);

DESCRIPTION
ggiPanic(3) shuts down the application, closing all inputs, with printf(3)-style reporting to stderr, taking a format string and any additional variables. giiPanic should only be used by usermode programs when something is really screwed, and they do not know what to do. The same applies for libraries, but might be used in rare situations such as corruption of critical data structures.

EXAMPLES
An unrecoverable error:
if (my_important_struct->magic != MAGIC) {
  giiPanic("Fatal error: magic corrupted\n");
}